Bug 214914 - [patch] security/libssh2: update 1.8.0
Summary: [patch] security/libssh2: update 1.8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Sofian Brabez
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-11-28 20:30 UTC by Anton Yuzhaninov
Modified: 2016-12-14 17:06 UTC (History)
0 users

See Also:
sbz: maintainer-feedback+


Attachments
libssh 1.8.0 (2.55 KB, patch)
2016-11-28 20:30 UTC, Anton Yuzhaninov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Yuzhaninov 2016-11-28 20:30:37 UTC
Created attachment 177493 [details]
libssh 1.8.0

Please update libssh2 to the latest version - 1.8.0.

Patch attached.

files/patch-configure is needed to fix build with GCRYPT option (bug fixed by upstream in git after 1.8.0 release).

In 1.8.0 support of mbedTLS backend was added. It was not added as port option in my patch because it is not clear how to do this in backward compatible way.

Given that now there are three crypto backends we can write something like:
OPTIONS_SINGLE=		CRYPTO
OPTIONS_SINGLE_CRYPTO=	OPENSSL GCRYPT MBEDTLS
OPTIONS_DEFAULT+= OPENSSL

But if libssh2 was build with GCRYPT option on update option dialog will be shown with OPENSSL option selected by default. If BATCH=yes is used port update will stop with error. I think it is better to not add new crypto backed (while not requested by users), than break existing installations. If there is a backward compatible way to move GCRYPT from OPTIONS_DEFINE to OPTIONS_SINGLE_CRYPTO I'd like to know.

Build of port with default options was tested using poudriere:
http://poudriere.citrin.ru/data/latest-per-pkg/libssh2/
Comment 1 Sofian Brabez freebsd_committer 2016-12-07 00:47:10 UTC
Hi Anton,

This patch LGTM. I would like to avoid to add a new patch into FILESDIR to stay closer to upstream but I found the reported issue upstream [1], so I think we can't avoid this patch addition because the 1.8.0 release was done before the fix [2]

[1] https://github.com/libssh2/libssh2/issues/150
[2] https://github.com/libssh2/libssh2/commit/ced924b78a40126606797ef57a74066eb3b4b83f
Comment 2 commit-hook freebsd_committer 2016-12-14 17:03:32 UTC
A commit references this bug:

Author: sbz
Date: Wed Dec 14 17:03:16 UTC 2016
New revision: 428573
URL: https://svnweb.freebsd.org/changeset/ports/428573

Log:
  - Update to 1.8.0

  PR:		214914
  Submitted by:	Anton Yuzhaninov <citrin+pr at citrin.ru>

Changes:
  head/security/libssh2/Makefile
  head/security/libssh2/distinfo
  head/security/libssh2/files/
  head/security/libssh2/files/patch-configure
  head/security/libssh2/pkg-plist
Comment 3 Sofian Brabez freebsd_committer 2016-12-14 17:06:48 UTC
Committed in r428573. Thank you!